"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.materializeTimestream = void 0;
var _utils = require("../utils");
var _timestream = require("../sinks/timestream");
var _filters = require("../filters");
const materializeTimestream = rule => s => s // eslint-disable-line import/prefer-default-export
.filter(onEventType(rule)).tap(_utils.printStartPipeline).filter(onContent(rule)).through((0, _utils.compact)(rule)).through((0, _utils.splitObject)(rule)).map(toWriteRequest(rule)).through((0, _timestream.writeRecords)(rule)).tap(_utils.printEndPipeline);
exports.materializeTimestream = materializeTimestream;
const onEventType = rule => (0, _utils.faulty)(uow => (0, _filters.filterOnEventType)(rule, uow));
const onContent = rule => (0, _utils.faulty)(uow => (0, _filters.filterOnContent)(rule, uow));
const toWriteRequest = rule => (0, _utils.faulty)(uow => ({
  ...uow,
  writeRequest: rule.toWriteRequest(uow, rule)
}));